%add_findreq_skiplist %_datadir/LinCVS/Tools
%define sversion	1.4.0-rc2
%define srelease	0

Summary:	Graphical frontend to CVS
Name:		lincvs
Version:	1.4.0rc2
Release:	alt3
Source:		http://lincvs.com/download/lincvs-%{sversion}-%{srelease}-generic-src.tgz
Source1:	lincvs.in
Source2:	lincvs.desktop
Patch1:		lincvs-rshwrapper.diff
URL:		http://www.lincvs.org
Group:		Development/Other
License:	GPL

Requires: cvs

# Automatically added by buildreq on Mon Feb 07 2005
BuildRequires: fontconfig freetype2 gcc-c++ kdelibs-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer samba-common xorg-x11-devel xorg-x11-libs

%description
LinCVS is a graphical Interface for the cvs client commandline tool on the
Unix, Windows and Mac OS X platform.

It allows ato load modules from a server (checkout), create modules on the
server (import), as well as checking the state of directories and individual
files or updating them.

Basic operations like add, remove and commit are supported as matter of
course, just like showing the actual differences between the server version
and the local sandbox, graphical display of the version tree, and manifoldy
graphical support of project maintenance.

%prep
%setup -q -n "lincvs-%{sversion}"
%{__chmod} 644 lincvs.pro
%patch1

%build
PATH=$PATH:$QTDIR/bin
qmake lincvs.pro
%make

%install
%{__mkdir_p} "%{buildroot}%{_datadir}"
%{__cp} -a LinCVS "%{buildroot}%{_datadir}/"

%{__make} \
	INSTALL_ROOT="%{buildroot}%{_datadir}/" \
	install

%{__mkdir_p} "%{buildroot}%{_bindir}"
%{__install} -D -m 0755 "%{SOURCE1}" "%{buildroot}%{_bindir}/lincvs"
%{__subst} "s,@@APPDIR@@,%{_datadir}/LinCVS,g" %{buildroot}%{_bindir}/lincvs

##%{__strip} "%{buildroot}%{_datadir}/LinCVS/lincvs.bin"
##%{__strip} "%{buildroot}%{_datadir}/LinCVS/Tools/ssh-askpass.bin"
##%{__strip} "%{buildroot}%{_datadir}/LinCVS/Tools/rshwrapper.bin"

%{__mkdir_p} "%{buildroot}/usr/share/applications"
%{__install} -D -m 0644 "%{SOURCE2}"  "%{buildroot}/usr/share/applnk/Applications/lincvs.desktop"

%{__mkdir_p} "%{buildroot}/usr/share/pixmaps"
%{__install} -m 0644 images/lincvs-{16,32,48}.xpm  "%{buildroot}/usr/share/pixmaps/"
%{__mkdir_p} "%{buildroot}/%{_menudir}"
kdedesktop2mdkmenu.pl %name "Applications/Development" %buildroot/%_datadir/applnk/Applications/%name.desktop %buildroot/%_menudir/%name

%clean

%files
%doc AUTHORS BUGS.txt ChangeLog COPYING LICENSE NEWS README THANKS VERSION
%doc doc
%{_bindir}/lincvs
%{_datadir}/LinCVS
%{_datadir}/applnk/Applications/lincvs.desktop
%{_menudir}/*
%{_datadir}/pixmaps/lincvs-*.xpm

%changelog
* Mon Feb 14 2005 Nick S. Grechukh <gns@altlinux.ru> 1.4.0rc2-alt3
- try to fix wrong dependencies on emacs

* Mon Feb 07 2005 Nick S. Grechukh <gns@altlinux.ru> 1.4.0rc2-alt2
- fixed stupid 0644 on /usr/bin/lincvs.

* Mon Feb 07 2005 Nick S. Grechukh <gns@altlinux.ru> 1.4.0rc2-alt1
- inital ALTLinux build

* Tue Jan 11 2005 Pascal Bleser <guru@unixtech.be> 1.4.0-rc2
- release candidate 2 for 1.4.0

* Thu Sep 30 2004 Pascal Bleser <guru@unixtech.be> 1.3.2-%{_rel}suse%{_suse_vernum}
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
